Subject: Re: [PATCH net-next 00/10] net: Delete some redundant judgments

From: Petr Machata <[email-masked]>
Date: Fri, 23 Aug 2024 15:16:46 +0200

Li Zetao <[email-masked]> writes:

> This patchset aims to remove some unnecessary judgments and make the
> code more concise. In some network modules, rtnl_set_sk_err is used to
> record error information, but the err is repeatedly judged to be less
> than 0 on the error path. Deleted these redundant judgments.

What you call "judgments" would be usually called "conditionals" or
"conditional statements", "judged less than zero" would be probably
"compared to zero". I think the commit messages are reasonably clear
despite this, so I'd leave it be unless others push back. But it's worth
keeping in mind for future contributions.